# Generated by Django 3.2.14 on 2023-04-04 12:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0109_profile_feature"),
        ("document", "0109_auto_20230328_0501"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="financedata",
            name="business_unit",
        ),
        migrations.RemoveField(
            model_name="financedata",
            name="internal_notes_line_items",
        ),
        migrations.RemoveField(
            model_name="financedata",
            name="vendor_invoice_number",
        ),
        migrations.RemoveField(
            model_name="financedata",
            name="warehouse_bin_name",
        ),
        migrations.AddField(
            model_name="financedata",
            name="invoice_number",
            field=models.JSONField(default=list, null=True),
        ),
        migrations.AlterField(
            model_name="financedata",
            name="serial_numbers",
            field=models.TextField(default=None, null=True),
        ),
        migrations.AlterField(
            model_name="financedata",
            name="so_linked_pos",
            field=models.TextField(default=None, null=True),
        ),
        migrations.AlterField(
            model_name="financedata",
            name="tracking_numbers",
            field=models.TextField(default=None, null=True),
        ),
        migrations.CreateModel(
            name="InvoiceData",
            fields=[
                ("created_on", models.DateTimeField(auto_now_add=True)),
                ("updated_on", models.DateTimeField(auto_now=True)),
                (
                    "id",
                    models.PositiveIntegerField(
                        primary_key=True, serialize=False
                    ),
                ),
                ("number", models.CharField(max_length=100)),
                ("data", models.JSONField(default=list)),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="accounts.provider",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
